openSUSE Security Update : exempi (openSUSE-2018-1022)

Medium Nessus Plugin ID 117655

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for exempi fixes the following security issue :

- CVE-2017-18236: The ASF_Support::ReadHeaderObject function allowed remote attackers to cause a denial of service (infinite loop) via a crafted .asf file (bsc#1085589)

- CVE-2017-18233: Prevent integer overflow in the Chunk class that allowed remote attackers to cause a denial of service (infinite loop) via crafted XMP data in a .avi file (bsc#1085584)

- CVE-2017-18238: The TradQT_Manager::ParseCachedBoxes function allowed remote attackers to cause a denial of service (infinite loop) via crafted XMP data in a .qt file (bsc#1085583)

Solution

Update the affected exempi packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1085583

https://bugzilla.opensuse.org/show_bug.cgi?id=1085584

https://bugzilla.opensuse.org/show_bug.cgi?id=1085589

Plugin Details

Severity: Medium

ID: 117655

File Name: openSUSE-2018-1022.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/09/24

Updated: 2018/09/24

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:exempi-debugsource, p-cpe:/a:novell:opensuse:exempi-tools, p-cpe:/a:novell:opensuse:exempi-tools-debuginfo, p-cpe:/a:novell:opensuse:libexempi-devel, p-cpe:/a:novell:opensuse:libexempi3, p-cpe:/a:novell:opensuse:libexempi3-32bit, p-cpe:/a:novell:opensuse:libexempi3-debuginfo, p-cpe:/a:novell:opensuse:libexempi3-debuginfo-32bit, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/09/20

Reference Information

CVE: CVE-2017-18233, CVE-2017-18236, CVE-2017-18238